Subject: [***SPAM*** Score/Req: 03.00/03.00] Re: [Asterisk-Users] Get the Caller-ID without Answering
From: Adam Goryachev <[email-masked]>
To: [email-masked], Asterisk Users Mailing List - Non-Commercial Discussion <[email-masked]>
Date: Mon, 22 Nov 2004 13:56:40 +1100
List-Id: Asterisk Users Mailing List - Non-Commercial Discussion <asterisk-users.lists.digium.com>

On Mon, 2004-11-22 at 13:48, David Boyd wrote:
> On Sun, 2004-11-21 at 20:53, George Burt wrote:
> > >Put all authorized CallerID into Asterisk database (on cli: database put
> > >allowedcaller 1234567 1) and then do a lookup, whether CallerID is
> > >allowed. (1234567 is CallerID)
> > >
> > >exten => s,1,SetVar(allowed=0)
> > >exten => s,2,DBget(allowed=allowedcaller/${CALLERID})
> > >exten => s,3,GotoIf($[${allowed}]?5)
> > >exten => s,4,Hangup ; Hangup if not in "allowedcaller" list
> > >exten => s,5, do anything for allowed callers
> > >
> > >Regards
> > >bt
> > >
> > >George Burt schrieb:
> > >
> > >>I have an application that I want to be able to verify that the call
> > coming
> > >>in on a PSTN 800 number is from an authorized caller.
> > >>
> > >>I want to read the CallerId then terminate the call without answering it.
> > >>
> > >>   exten => s,1,Wair(3)
> > >>   exten => s,2,NoOp(${CALLERID})
> > >>   exten => s,3,Hangup()
> > >>
> > >>Any ideas would be appreciated.
> Thanks, but that does not actually terminate the call.  The phone
continues
> > to ring until the caller hangs up.
> > 
> > I have done an application with cellphones that allowed allowed me to send a
> > signal to the phone company to drop the call.  Maybe this is just a cell
> > phone thing.
> > 
> > George
> > 
> If you have access to PRI or NET5 (ISDN) then you can send a call reject
> for the call, but have not looked at the source to determine if we can
> do that or not in *   .........
> 
> Not much assistance, but a bit of additional info.
> dave

Very good/helpful comment. George, you haven't told us how you are interfacing 
to the "PSTN". Is it ISDN or analogue or VoIP? What interface card are you using?
etc?

I think you will find a T1/E1 with a TE100P would work as you expect, while an 
analogue interface will work as you have found (ie, not terminate the call).

Of course, I haven't tried it, so I may be wrong.

Regards,
Adam

_______________________________________________
Asterisk-Users mailing list
[email-masked]
http://lists.digium.com/mailman/listinfo/asterisk-users
To UNSUBSCRIBE or update options visit:
   http://lists.digium.com/mailman/listinfo/asterisk-users